%define anolis_release 1
%global debug_package %{nil}
%bcond_with tests

Name:    pybind11
Version: 2.10.4
Release: %{anolis_release}%{?dist}
Summary: Seamless operability between C++11 and Python
License: BSD
URL:	 https://github.com/pybind/pybind11
Source0: https://github.com/pybind/pybind11/archive/v%{version}/%{name}-%{version}.tar.gz

# Patch out header path
Patch1:  pybind11-2.10.1-hpath.patch

BuildRequires: make
BuildRequires: python3-devel
BuildRequires: python3-setuptools
%if %{with tests}
BuildRequires: python3-pytest
BuildRequires: python3-numpy
BuildRequires: python3-scipy
%endif

BuildRequires: eigen3-devel
BuildRequires: gcc-c++
BuildRequires: cmake

%global base_description \
pybind11 is a lightweight header-only library that exposes C++ types \
in Python and vice versa, mainly to create Python bindings of existing \
C++ code.

%description
%{base_description}

%package devel
Summary:  Development headers for pybind11
Provides: %{name}-static = %{version}-%{release}
Requires: cmake

%description devel
%{base_description}

This package contains the development headers for pybind11.

%package -n     python3-%{name}
Summary:        %{summary}
Requires: %{name}-devel = %{version}-%{release}

%description -n python3-%{name}
%{base_description}
This package contains the Python 3 files.

%package doc
Summary:        %{summary}
Requires: 	%{name}-devel = %{version}-%{release}
BuildArch:	noarch

%description doc
Doc files for %{name}

%prep
%autosetup -n %{name}-%{version} -p1

%build
%cmake -DCMAKE_BUILD_TYPE=Debug -DPYTHON_EXECUTABLE=%{_bindir}/python3 -DPYBIND11_INSTALL=TRUE -DUSE_PYTHON_INCLUDE_DIR=FALSE
%cmake_build

%py3_build

%if %{with tests}
%check
make check %{?_smp_mflags}
%endif

%install
%cmake_install
PYBIND11_USE_CMAKE=true %py3_install "--install-purelib" "%{python3_sitearch}"

%files devel
%license LICENSE
%{_includedir}/pybind11/
%{_datadir}/cmake/pybind11/
%{_bindir}/pybind11-config
%{_datadir}/pkgconfig/%{name}.pc

%files -n python3-%{name}
%{python3_sitearch}/%{name}/
%{python3_sitearch}/%{name}-%{version}-py%{python3_version}.egg-info

%files doc
%doc README.rst

%changelog
* Fri Mar 24 2023 happy_orange <songnannan@linux.alibaba.com> - 2.10.4-1
- init package from upstream
